The Nosiphus Required Mods are designed for Minecraft 1.5.2.
It is available on the Technic Launcher. The current release of the Nosiphus Required Mods modpack is version 1.2.0, released on Wednesday, July 17, 2013.

Custom Sphax Patches
Patch the main Sphax patch by placing the modded folders alongside the main patch folders. Allow the mods to overwrite existing textures.

Basic Prerequisites
Technic Launcher
Java Runtime Environment 7 x64 - Windows - macOS - Linux
JRE 7 is required if you want to run an MCPC+ server on Minecraft 1.5.2.

If you wish to play around with the nosiphusrequired.zip file, here is the direct download link.

This pack consists of the latest 1.5-compatible versions of the original collection of mods used during the summer of 2013. It carries the date of the original file's creation.